NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Features::SheetMetal::BeadBuilder Class Reference

Represents a Bead feature builder. More...

Inheritance diagram for NXOpen::Features::SheetMetal::BeadBuilder:
NXOpen::Features::FeatureBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  CrossSectionTypeOptions { CrossSectionTypeOptionsCircular, CrossSectionTypeOptionsUshaped, CrossSectionTypeOptionsVshaped }
 This enum represents the cross section type options for the Bead. More...
 
enum  EndTypeOptions { EndTypeOptionsPunched, EndTypeOptionsLanced, EndTypeOptionsFormed, EndTypeOptionsTapered }
 This enum represents the end type options for the Bead. More...
 
enum  HeightSideOptions { HeightSideOptionsSectionNormalSide, HeightSideOptionsSectionReverseNormalSide }
 This enum represents the depth direction for the Bead. More...
 

Public Member Functions

NXOpen::ExpressionAngle ()
 Returns the angle of the bead. More...
 
NXOpen::Features::SheetMetal::BeadBuilder::CrossSectionTypeOptions CrossSectionType ()
 Returns the bead profile type . More...
 
NXOpen::ExpressionDieRadius ()
 Returns the bead die radius. More...
 
NXOpen::Features::SheetMetal::BeadBuilder::EndTypeOptions EndType ()
 Returns the bead end type . More...
 
NXOpen::ExpressionHeight ()
 Returns the height of the bead. More...
 
NXOpen::Features::SheetMetal::BeadBuilder::HeightSideOptions HeightSide ()
 Returns the Height side for the bead. More...
 
bool IncludeRounding ()
 Returns the rounding type . More...
 
NXOpen::ExpressionMinimumToolClearance ()
 Returns the Minimum tool clearance expression. More...
 
NXOpen::ExpressionPunchedWidth ()
 Returns the Punched width of the bead. More...
 
NXOpen::ExpressionPunchRadius ()
 Returns the bead punch radius. More...
 
NXOpen::ExpressionRadius ()
 Returns the radius of the bead. More...
 
NXOpen::SectionSection ()
 Returns the Section used by the bead. More...
 
void SetAngle (const NXString &beadAngle)
 
More...
 
void SetAngle (const char *beadAngle)
 
More...
 
void SetCrossSectionType (NXOpen::Features::SheetMetal::BeadBuilder::CrossSectionTypeOptions crossSectionOption)
 Sets the bead profile type . More...
 
void SetDieRadius (const NXString &beadDieRadius)
 
More...
 
void SetDieRadius (const char *beadDieRadius)
 
More...
 
void SetEndType (NXOpen::Features::SheetMetal::BeadBuilder::EndTypeOptions beadEndOptions)
 Sets the bead end type . More...
 
void SetHeight (const NXString &beadHeight)
 
More...
 
void SetHeight (const char *beadHeight)
 
More...
 
void SetHeightSide (NXOpen::Features::SheetMetal::BeadBuilder::HeightSideOptions heightSide)
 Sets the Height side for the bead. More...
 
void SetIncludeRounding (bool rounding)
 Sets the rounding type . More...
 
void SetPunchedWidth (const NXString &punchedWidth)
 
More...
 
void SetPunchedWidth (const char *punchedWidth)
 
More...
 
void SetPunchRadius (const NXString &punchRadius)
 
More...
 
void SetPunchRadius (const char *punchRadius)
 
More...
 
void SetRadius (const NXString &beadRadius)
 
More...
 
void SetRadius (const char *beadRadius)
 
More...
 
void SetSection (NXOpen::Section *section)
 Sets the Section used by the bead. More...
 
void SetSketch (NXOpen::Features::SketchFeature *sketch)
 Sets the Slave Sketch used by the Bead, If one exists. More...
 
void SetWidth (const NXString &beadWidth)
 
More...
 
void SetWidth (const char *beadWidth)
 
More...
 
NXOpen::Features::SketchFeatureSketch ()
 Returns the Slave Sketch used by the Bead, If one exists. More...
 
NXOpen::ExpressionTaperDistance ()
 Returns the taper distance of the bead. More...
 
int ValidateBuilderData ()
 Verify whether the builder data is valid for creating a Bead or not. More...
 
NXOpen::ExpressionWidth ()
 Returns the width of the bead. More...
 
- Public Member Functions inherited from NXOpen::Features::FeatureBuilder
NXOpen::Features::FeatureCommitFeature ()
 Commits the feature parameters and creates the feature. More...
 
NXOpen::Features::FeatureGetFeature ()
 Returns the feature currently being edited by this builder. More...
 
void HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
bool ParentFeatureInternal ()
 Returns whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
bool PatchSolutionFlag ()
 Returns the patch solution flag
Created in NX8.0.1. More...
 
NXString PatchSurfaceFilename ()
 Returns the patch surface filename
Created in NX8.0.1. More...
 
void SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited
Created in NX6.0.0. More...
 
void SetParentFeatureInternal (bool isInternal)
 Sets whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
void SetPatchSolutionFlag (bool optionValue)
 Sets the patch solution flag
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const NXString &surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const char *surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
NXString SurroundingPatchSurfaceFilename ()
 Returns the surrounding patch surface filename
Created in NX8.0.1. More...
 
void UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the internal parent feature of the feature being edited to external
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a Bead feature builder.


To create a new instance of this class, use NXOpen::Features::SheetMetal::SheetmetalManager::CreateBeadFeatureBuilder

Created in NX4.0.0.

Member Enumeration Documentation

This enum represents the cross section type options for the Bead.

Enumerator
CrossSectionTypeOptionsCircular 

circular

CrossSectionTypeOptionsUshaped 

ushaped

CrossSectionTypeOptionsVshaped 

vshaped

This enum represents the end type options for the Bead.

Enumerator
EndTypeOptionsPunched 

punched

EndTypeOptionsLanced 

lanced

EndTypeOptionsFormed 

formed

EndTypeOptionsTapered 

tapered

This enum represents the depth direction for the Bead.

Enumerator
HeightSideOptionsSectionNormalSide 

Material removed on the side of the section normal.

HeightSideOptionsSectionReverseNormalSide 

Material removed on the side opposite to that of the section normal.

Member Function Documentation

NXOpen::Expression* NXOpen::Features::SheetMetal::BeadBuilder::Angle ( )

Returns the angle of the bead.


Created in NX4.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")

NXOpen::Features::SheetMetal::BeadBuilder::CrossSectionTypeOptions NXOpen::Features::SheetMetal::BeadBuilder::CrossSectionType ( )

Returns the bead profile type .


Specify NXOpen::Features::SheetMetal::BeadBuilder::CrossSectionTypeOptionsCircular to have profile of half circle. Specify NXOpen::Features::SheetMetal::BeadBuilder::CrossSectionTypeOptionsUshaped to have profile of U shape. Specify NXOpen::Features::SheetMetal::BeadBuilder::CrossSectionTypeOptionsVshaped to have profile of V shape.


Created in NX4.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")

NXOpen::Expression* NXOpen::Features::SheetMetal::BeadBuilder::DieRadius ( )

Returns the bead die radius.


Created in NX4.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")

NXOpen::Features::SheetMetal::BeadBuilder::EndTypeOptions NXOpen::Features::SheetMetal::BeadBuilder::EndType ( )

Returns the bead end type .


Specify NXOpen::Features::SheetMetal::BeadBuilder::EndTypeOptionsFormed to have ends of bead feature be formed. Specify NXOpen::Features::SheetMetal::BeadBuilder::EndTypeOptionsLanced to have ends of bead feature be Lanced. Specify NXOpen::Features::SheetMetal::BeadBuilder::EndTypeOptionsPunched to have ends of bead feature be Punched. Specify NXOpen::Features::SheetMetal::BeadBuilder::EndTypeOptionsTapered to have ends of bead feature be Tapered.


Created in NX4.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")

NXOpen::Expression* NXOpen::Features::SheetMetal::BeadBuilder::Height ( )

Returns the height of the bead.


Created in NX4.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")

NXOpen::Features::SheetMetal::BeadBuilder::HeightSideOptions NXOpen::Features::SheetMetal::BeadBuilder::HeightSide ( )

Returns the Height side for the bead.


This is used to specify the direction in which the Bead is created. If Bead creation must happen in the direction of the Section Normal (specified using the NXOpen::Features::SheetMetal::BeadBuilder::Section and NXOpen::Features::SheetMetal::BeadBuilder::SetSection ) then pass the value of NXOpen::Features::SheetMetal::BeadBuilder::HeightSideOptionsSectionNormalSide If Bead creation must happen in the opposite direction to that of Section Normal, set the value to be NXOpen::Features::SheetMetal::BeadBuilder::HeightSideOptionsSectionReverseNormalSide


Created in NX4.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")

bool NXOpen::Features::SheetMetal::BeadBuilder::IncludeRounding ( )

Returns the rounding type .


Specify true to Round the Sharp edges. Specify false to avoid rounding.


Created in NX4.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")

NXOpen::Expression* NXOpen::Features::SheetMetal::BeadBuilder::MinimumToolClearance ( )

Returns the Minimum tool clearance expression.


Created in NX6.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")

NXOpen::Expression* NXOpen::Features::SheetMetal::BeadBuilder::PunchedWidth ( )

Returns the Punched width of the bead.


Created in NX4.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")

NXOpen::Expression* NXOpen::Features::SheetMetal::BeadBuilder::PunchRadius ( )

Returns the bead punch radius.


Created in NX4.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")

NXOpen::Expression* NXOpen::Features::SheetMetal::BeadBuilder::Radius ( )

Returns the radius of the bead.


Created in NX4.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")

NXOpen::Section* NXOpen::Features::SheetMetal::BeadBuilder::Section ( )

Returns the Section used by the bead.

section should be open.
Created in NX4.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")

void NXOpen::Features::SheetMetal::BeadBuilder::SetAngle ( const NXString beadAngle)


Deprecated:
Deprecated in NX10.0.0.

Use NXOpen::Expression::SetRightHandSide on the NXOpen::Expression object returned from NXOpen::Features::SheetMetal::BeadBuilder::Angle instead.


Created in NX4.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")

Parameters
beadAnglebead angle
void NXOpen::Features::SheetMetal::BeadBuilder::SetAngle ( const char *  beadAngle)


Deprecated:
Deprecated in NX10.0.0.

Use NXOpen::Expression::SetRightHandSide on the NXOpen::Expression object returned from NXOpen::Features::SheetMetal::BeadBuilder::Angle instead.


Created in NX4.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")

Parameters
beadAnglebead angle
void NXOpen::Features::SheetMetal::BeadBuilder::SetCrossSectionType ( NXOpen::Features::SheetMetal::BeadBuilder::CrossSectionTypeOptions  crossSectionOption)

Sets the bead profile type .


Specify NXOpen::Features::SheetMetal::BeadBuilder::CrossSectionTypeOptionsCircular to have profile of half circle. Specify NXOpen::Features::SheetMetal::BeadBuilder::CrossSectionTypeOptionsUshaped to have profile of U shape. Specify NXOpen::Features::SheetMetal::BeadBuilder::CrossSectionTypeOptionsVshaped to have profile of V shape.


Created in NX4.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")

Parameters
crossSectionOptioncross section option
void NXOpen::Features::SheetMetal::BeadBuilder::SetDieRadius ( const NXString beadDieRadius)


Deprecated:
Deprecated in NX10.0.0.

Use NXOpen::Expression::SetRightHandSide on the NXOpen::Expression object returned from NXOpen::Features::SheetMetal::BeadBuilder::DieRadius instead.


Created in NX4.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")

Parameters
beadDieRadiusbead die radius
void NXOpen::Features::SheetMetal::BeadBuilder::SetDieRadius ( const char *  beadDieRadius)


Deprecated:
Deprecated in NX10.0.0.

Use NXOpen::Expression::SetRightHandSide on the NXOpen::Expression object returned from NXOpen::Features::SheetMetal::BeadBuilder::DieRadius instead.


Created in NX4.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")

Parameters
beadDieRadiusbead die radius
void NXOpen::Features::SheetMetal::BeadBuilder::SetEndType ( NXOpen::Features::SheetMetal::BeadBuilder::EndTypeOptions  beadEndOptions)

Sets the bead end type .


Specify NXOpen::Features::SheetMetal::BeadBuilder::EndTypeOptionsFormed to have ends of bead feature be formed. Specify NXOpen::Features::SheetMetal::BeadBuilder::EndTypeOptionsLanced to have ends of bead feature be Lanced. Specify NXOpen::Features::SheetMetal::BeadBuilder::EndTypeOptionsPunched to have ends of bead feature be Punched. Specify NXOpen::Features::SheetMetal::BeadBuilder::EndTypeOptionsTapered to have ends of bead feature be Tapered.


Created in NX4.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")

Parameters
beadEndOptionsbead end options
void NXOpen::Features::SheetMetal::BeadBuilder::SetHeight ( const NXString beadHeight)


Deprecated:
Deprecated in NX10.0.0.

Use NXOpen::Expression::SetRightHandSide on the NXOpen::Expression object returned from NXOpen::Features::SheetMetal::BeadBuilder::Height instead.


Created in NX4.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")

Parameters
beadHeightbead height
void NXOpen::Features::SheetMetal::BeadBuilder::SetHeight ( const char *  beadHeight)


Deprecated:
Deprecated in NX10.0.0.

Use NXOpen::Expression::SetRightHandSide on the NXOpen::Expression object returned from NXOpen::Features::SheetMetal::BeadBuilder::Height instead.


Created in NX4.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")

Parameters
beadHeightbead height
void NXOpen::Features::SheetMetal::BeadBuilder::SetHeightSide ( NXOpen::Features::SheetMetal::BeadBuilder::HeightSideOptions  heightSide)

Sets the Height side for the bead.


This is used to specify the direction in which the Bead is created. If Bead creation must happen in the direction of the Section Normal (specified using the NXOpen::Features::SheetMetal::BeadBuilder::Section and NXOpen::Features::SheetMetal::BeadBuilder::SetSection ) then pass the value of NXOpen::Features::SheetMetal::BeadBuilder::HeightSideOptionsSectionNormalSide If Bead creation must happen in the opposite direction to that of Section Normal, set the value to be NXOpen::Features::SheetMetal::BeadBuilder::HeightSideOptionsSectionReverseNormalSide


Created in NX4.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")

Parameters
heightSideheight side
void NXOpen::Features::SheetMetal::BeadBuilder::SetIncludeRounding ( bool  rounding)

Sets the rounding type .


Specify true to Round the Sharp edges. Specify false to avoid rounding.


Created in NX4.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")

Parameters
roundingrounding
void NXOpen::Features::SheetMetal::BeadBuilder::SetPunchedWidth ( const NXString punchedWidth)


Deprecated:
Deprecated in NX10.0.0.

Use NXOpen::Expression::SetRightHandSide on the NXOpen::Expression object returned from NXOpen::Features::SheetMetal::BeadBuilder::PunchedWidth instead.


Created in NX4.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")

Parameters
punchedWidthpunched width
void NXOpen::Features::SheetMetal::BeadBuilder::SetPunchedWidth ( const char *  punchedWidth)


Deprecated:
Deprecated in NX10.0.0.

Use NXOpen::Expression::SetRightHandSide on the NXOpen::Expression object returned from NXOpen::Features::SheetMetal::BeadBuilder::PunchedWidth instead.


Created in NX4.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")

Parameters
punchedWidthpunched width
void NXOpen::Features::SheetMetal::BeadBuilder::SetPunchRadius ( const NXString punchRadius)


Deprecated:
Deprecated in NX10.0.0.

Use NXOpen::Expression::SetRightHandSide on the NXOpen::Expression object returned from NXOpen::Features::SheetMetal::BeadBuilder::PunchRadius instead.


Created in NX4.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")

Parameters
punchRadiuspunch radius
void NXOpen::Features::SheetMetal::BeadBuilder::SetPunchRadius ( const char *  punchRadius)


Deprecated:
Deprecated in NX10.0.0.

Use NXOpen::Expression::SetRightHandSide on the NXOpen::Expression object returned from NXOpen::Features::SheetMetal::BeadBuilder::PunchRadius instead.


Created in NX4.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")

Parameters
punchRadiuspunch radius
void NXOpen::Features::SheetMetal::BeadBuilder::SetRadius ( const NXString beadRadius)


Deprecated:
Deprecated in NX10.0.0.

Use NXOpen::Expression::SetRightHandSide on the NXOpen::Expression object returned from NXOpen::Features::SheetMetal::BeadBuilder::Radius instead.


Created in NX4.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")

Parameters
beadRadiusbead radius
void NXOpen::Features::SheetMetal::BeadBuilder::SetRadius ( const char *  beadRadius)


Deprecated:
Deprecated in NX10.0.0.

Use NXOpen::Expression::SetRightHandSide on the NXOpen::Expression object returned from NXOpen::Features::SheetMetal::BeadBuilder::Radius instead.


Created in NX4.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")

Parameters
beadRadiusbead radius
void NXOpen::Features::SheetMetal::BeadBuilder::SetSection ( NXOpen::Section section)

Sets the Section used by the bead.

section should be open.
Created in NX4.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")

Parameters
sectionsection
void NXOpen::Features::SheetMetal::BeadBuilder::SetSketch ( NXOpen::Features::SketchFeature sketch)

Sets the Slave Sketch used by the Bead, If one exists.


If the Sketch is created internally as part of the Bead command in the UI, then it shall be consumed by the Bead and shall not show up as a separate feature in the Part Navigator. If such a behaviour is deired, then specify the Sketch here.


Created in NX4.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")

Parameters
sketchsketch
void NXOpen::Features::SheetMetal::BeadBuilder::SetWidth ( const NXString beadWidth)


Deprecated:
Deprecated in NX10.0.0.

Use NXOpen::Expression::SetRightHandSide on the NXOpen::Expression object returned from NXOpen::Features::SheetMetal::BeadBuilder::Width instead.


Created in NX4.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")

Parameters
beadWidthbead width
void NXOpen::Features::SheetMetal::BeadBuilder::SetWidth ( const char *  beadWidth)


Deprecated:
Deprecated in NX10.0.0.

Use NXOpen::Expression::SetRightHandSide on the NXOpen::Expression object returned from NXOpen::Features::SheetMetal::BeadBuilder::Width instead.


Created in NX4.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")

Parameters
beadWidthbead width
NXOpen::Features::SketchFeature* NXOpen::Features::SheetMetal::BeadBuilder::Sketch ( )

Returns the Slave Sketch used by the Bead, If one exists.


If the Sketch is created internally as part of the Bead command in the UI, then it shall be consumed by the Bead and shall not show up as a separate feature in the Part Navigator. If such a behaviour is deired, then specify the Sketch here.


Created in NX4.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")

NXOpen::Expression* NXOpen::Features::SheetMetal::BeadBuilder::TaperDistance ( )

Returns the taper distance of the bead.


Created in NX8.5.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")

int NXOpen::Features::SheetMetal::BeadBuilder::ValidateBuilderData ( )

Verify whether the builder data is valid for creating a Bead or not.


If the Builder data is valid, returned value shall be 0


Returns
Data Validity Flag.
Created in NX4.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")
NXOpen::Expression* NXOpen::Features::SheetMetal::BeadBuilder::Width ( )

Returns the width of the bead.


Created in NX4.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.